Bug 621717 - libstdc++.so.6.0.13-gdb.py uses "dir" as a variable, shadowing the "dir" builtin
libstdc++.so.6.0.13-gdb.py uses "dir" as a variable, shadowing the "dir" builtin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 18:36 EDT by Dave Malcolm
Modified: 2010-08-18 21:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: gcc-4.5.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-18 21:04:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2010-08-05 18:36:16 EDT
Description of problem:
/usr/share/gdb/auto-load/usr/lib/libstdc++.so.6.0.13-gdb.py contains this fragment:

 dir = os.path.join (os.path.dirname (objfile), dotdots, pythondir)

This assignment to "dir" shadows the "dir" builtin, making it more difficult to use python interactively within gdb.

Suggest the use of "dir_" instead of "dir"

Version-Release number of selected component (if applicable):
gdb-7.0.1-48.fc12.i686
Comment 1 Jan Kratochvil 2010-08-06 15:03:43 EDT
Post upstream:
[patch] [libstdc++ pretty-printer] Fix python `dir' var vs. func clash
http://gcc.gnu.org/ml/gcc-patches/2010-08/msg00508.html
Comment 2 Jan Kratochvil 2010-08-06 16:46:20 EDT
It has been checked-in upstream:
http://gcc.gnu.org/viewcvs?view=revision&revision=162962

Reassigning.
Comment 3 Fedora Update System 2010-08-13 02:48:51 EDT
gcc-4.5.1-1.fc14,libtool-2.2.10-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/gcc-4.5.1-1.fc14,libtool-2.2.10-3.fc14
Comment 4 Fedora Update System 2010-08-18 21:04:20 EDT
gcc-4.5.1-1.fc14, libtool-2.2.10-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.